| Home | Libraries | People | FAQ | More

##### rtree(rtree &&, allocator_type const &)

The moving constructor.

###### Description

It uses parameters and observers from the source tree.

###### Synopsis

    rtree(rtree && src, allocator_type const & allocator)

###### Parameter(s)

Type | Name | Description
--- | --- | ---
`rtree``&&` | `src` | The rtree which content will be moved.
`allocator_type` `const &` | `allocator` | The allocator.

###### Throws

- If allocator copy constructor throws.
- If Value copy constructor throws (only if allocators aren't equal).
- If allocation throws or returns invalid value (only if allocators aren't equal).